module sim_param
use types,only:rprec
use param,only:ld,ny,nz
implicit none

public
character(*),parameter::path='./'
real(kind=rprec),dimension(ld,ny,nz)::u,v,w,usp,vsp,wsp,&
     dudx,dudy,dudz,dvdx,dvdy,dvdz,dwdx,dwdy,dwdz, &
     dpdx,dpdy,dpdz,&
     RHSx,RHSy,RHSz,RHSx_f,RHSy_f,RHSz_f
real(kind=rprec),dimension(ld,ny,0:nz)::p
end module sim_param
